Subject: Re: [Sipping] Need a Relax NG expert to Review: draft-ietf-sipping-media-policy-dataset-04 for WGLC

From: Volker Hilt <[email-masked]>
Date: Sun, 18 Nov 2007 22:15:53 -0500

Jari,

thanks a lot for reviewing and updating the Relax NG schema. I've copied 
the schema you provided into the draft and made some changes to fix the 
bugs you've mentioned and to track changes that were made to the format.

Thanks,

Volker

Jari Urpalainen wrote:
> ext Mary Barnes wrote:
>> Hi all,
>>
>> Per this review, the WGLC on this document ended on Monday (11th) and it
>> really needs someone that's a Relax NG guru to at least carefully review
>> section 8 (Relax NG definition) on pages 21 through the top of page 29.
>> I'm sure there must someone that has some expertise on this list amongst
>> the 2042 subscribers.
>>
>> Thanks,
>> Mary
>>
>>
>>   
> I've looked at the schemas, so some comments. So this i-d depends on 
> profile-datasets and the base schema defined there, i.e. it is not 
> possible to give comments based solely on this i-d. The biggest issues 
> are with extensions. So i had to revamp the base schema in uaprof quite 
> a bit (changed chemas and examples are available at 
> <http://validate.openlaboratory.net/policy-dataset/>). And i don't claim 
> these were _ready_ but at least the examples validate.
> 
> So in uaprof I removed <ElementGenericSetting> and 
> <ElementGenericSettingContainer> and added a liberal extension point 
> <PropertySetExtension>  for combine="interleave" definitions (to be used 
> in additional schemas that include the base schema). The model is 
> similar to one used in 
> <http://tools.ietf.org/wg/simple/draft-urpalainen-simple-presence-relaxng-03.txt>. 
> <anyPropertySetExtension> allows easy forwards and backwards compatible 
> schemas and the including schemas can restrict this extension point 
> easily if they so desire (because of e.g. deterministic and unambiguous 
> schemas...). At least <ElementMaxSessionBandwidth> is still missing from 
> this schema as it is referenced from policy-dataset.
> 
> In policy-dataset I added "PolicyGeneralAttributes" definition because 
> it was used in several places. "AttributeMediaType" definition is also 
> missing, maybe it should be in uaprof. "AttributeGenericAttributes" is 
> defined by "AttributeGeneric" in uaprof. These attribute extensions are 
> somewhat tricky in relaxng as there may _not_ be overlapping 
> definitions, but fortunately relaxng allows a very flexible but somewhat 
> verbose extensions with <except> rule. Then there were some cardinality 
> bugs in containers. Examples didn't include xml declarations and 
> elements were not namespace qualified. The document root element in 
> uaprof is <propertySet>. "ElementQoSDSCP" did have typos in references.  
> Also I'm not thrilled with the convention where in section 4.1 and in 
> the relaxng schema, the same content model is being described, this 
> easily leads to conflicts, one example being that <session-info> has no 
> extension point in the schema (i could propose a liberal one, btw., as 
> relaxng does _not_ have an annoying UPA constraint ;-)). The same 
> applies to <session-policy>, section 5.1.
> 
> There might be a preference for using the compact format of relaxng, so 
> one could issue rnc schema as normative and perhaps rng in an appendix 
> as informative.  btw. trang is capable of converting e.g. from rng to rnc.
> 
> br, Jari
> 
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP